package com.fjhx.wms.service;

import com.fjhx.wms.entity.arrival.po.ArrivalDetailPo;
import com.fjhx.wms.entity.purchase.po.PurchaseDetailPo;
import com.fjhx.wms.entity.purchase.po.PurchasePo;

import java.util.Map;

public interface MyPurchaseService {

    /**
     * 修改采购退货状态
     */
    void updateSalesReturnStatus(Long id, Integer status);

    /**
     * 获取采购信息
     */
    PurchasePo getPurchaseInfo(Long id);

    /**
     * 获取采购明细
     */
    Map<Long, PurchaseDetailPo> grtPurchaseDetail(Long id);

    /**
     * 获取到货明细信息
     */
    ArrivalDetailPo getArrivalDetailInfo(Long id);
}
